#id_whackmolesArea {
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    //margin-top: 50px;
    //background-color: #f0f0f0;
    background-color: #e6e6fa;
    height:auto;
    //margin-top: 50px;
    //margin: 30px 20px 20px 20px;
    border-radius:30px;
    position: relative;
    //width:86%;
}

.game-board {
    display: grid;
    grid-template-columns: repeat(3, 100px);
    grid-template-rows: repeat(2, 100px);
    gap: 20px;
    margin-top: 30px;
}

.hole {
    width: 100px;
    height: 100px;
    //background-color: #8B4513; /* Dirt color */
    background: linear-gradient(to bottom right, #8B4513, #ffa500);
    border-radius: 50%;
    overflow: hidden;
    position: relative;
    //cursor: url(./hammer.cur), auto; /* Custom cursor for hammering */
    cursor:grab;
    border: 5px solid #5a2e0a;
    text-align: center;
}

.hole.hit::before {
    content: 'ヒット🥰';
    font-family:'Hachi Maru Pop', cursive;
    font-size:21px;
    font-weight:bold;
    display:block;
    color:#0000ff;
    margin-top:28px;
    transform:rotate(-20deg);
}

.mole {
    width: 80px;
    height: 80px;
    //width: 120px;
    //height: 120px;
    //background-color: #4CAF50; /* Mole color */
    //border-radius: 50%;
    position: absolute;
    bottom: -85px; /* Start hidden below the hole */
    left: 10px;
    //transition: bottom 0.2s ease-out;
    transition: bottom 0.5s ease-out;
    background-image: url('../images/mole.png');
    background-size:100% 100%;
    background-position: center center;
}

.hole.up .mole {
    bottom: 5px; /* Pop up */
}
.hole.disp {
    opacity:1.0;
}

.hole.hit .mole {
    background-color: #e74c3c; /* Change color when hit */
}

#startButton {
    padding: 10px 20px;
    font-size: 18px;
    cursor: pointer;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 5px;
    margin-bottom: 20px;
}

#id_senn-nin {
	position:absolute; 
	top:320px; 
	left:25%; 
	width:50%;
	height:350px;
    text-align: center;
    background: url(../images/sennin_kuchu_fuyuu_tsue.png) no-repeat center center/100% 100%;
    //border:3px solid #ff0000;
    display:none;
}
#id_jduge {
	margin-top:86px; 
	font-family:'Hachi Maru Pop', cursive; 
	font-size:20px; 
	font-weight:bold; 
	line-height:1.3;
}
#id_shishou {
	margin-top:21px;
	margin-left:10%;
	font-family:'Hachi Maru Pop', cursive; 
	font-size:18px; 
	font-weight:bold; 
	background: #ec4646;
	border-radius: 50%;
	width: 60px;
	height: 60px;
	color: #fff;
	text-align: center;
	line-height: 60px;
}

.removeSennnin {
	animation-name: removeSn;
	animation-duration: 3s;
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}
@keyframes removeSn {
	0%   { display:block; opacity:1.0; }
	100% { display:none;  opacity:0.0; }
}

#id_frame {
	background:#fff url(../images/green/spring1.webp); 
	background-position:center; 
	background-size: 100% 100%; 
	padding:30px 50px 30px 50px;
}

@media screen and (max-width:800px){
	#id_senn-nin {
		top:360px; 
		left:8%; 
		width:84%;
		height:350px;
	}
	#id_jduge {
		margin-top:80px; 
		font-size:18px; 
	}
	#id_shishou {
		margin-top:22px; 
	}
	#id_frame {
		padding:30px 25px 30px 25px;
	}
}
